Initiate Fleet setup
Base URL
https://{kibana_url}
POST
/api/fleet/setup
POST
/s/{space_id} /api/fleet/setup
Auth
Initialize Fleet and create the necessary Elasticsearch resources for Fleet to operate. Safe to call multiple times (idempotent). Returns the initialization status and any non-fatal errors encountered during setup.
Privileges
fleet-agents-read
or
fleet-agent-policies-read
or
fleet-settings-read
or
fleet-setup
Expand all
space_id
string
optional
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
A required header to protect against CSRF attacks
isInitialized
boolean
required
nonFatalErrors
object [] · max items: 10000
required
−
Hide 2 properties
attributes
object
required
Thank you for your feedback.
Base URL
https://{kibana_url}
Examples
Request
Console
1 / 2 languages
‹
›
1
POST kbn:/api/fleet/setup
Generated from the API spec
1
2
3
curl -X POST "${KIBANA_URL}/api/fleet/setup" \
-H "kbn-xsrf: true" \
-H "Authorization: ApiKey ${API_KEY}"
Generated from the API spec
Response
Fleet initialized successfully with no non-fatal errors
Show more
Example of a generic error response
Show more
Example of an internal server error response
Show more
1
2
3
4
{
"isInitialized": true,
"nonFatalErrors": []
}
1
2
3
4
5
{
"error": "Bad Request",
"message": "An error message describing what went wrong",
"statusCode": 400
}
1
2
3
4
5
{
"error": "Internal Server Error",
"message": "An error message describing what went wrong",
"statusCode": 500
}